<!DOCTYPE html>
<html lang="en-US">
  <head>
    <title>Whiteboard</title>
    <meta charset="UTF-8" />
    <meta name="author" content="Neetish Raj" />
    <meta
      name="keywords"
      content="whiteboard, white, board, sketch, sketchboard, free, online, sketch"
    />
    <meta
      name="description"
      content="Simple and free online Whiteboard for your meetings"
    />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link
      rel="stylesheet"
      href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css"
    />
    <link
      href="https://fonts.googleapis.com/css?family=Anton|Lobster"
      rel="stylesheet"
    />

    <link
      rel="shortcut icon"
      type="image/x-icon"
      href="./logo/favicon.png"
    />
    <!-- <link
      rel="apple-touch-icon"
      sizes="180x180"
      href="../apple-touch-icon.png"
    />
    <link
      rel="icon"
      type="image/png"
      sizes="32x32"
      href="../favicons/favicon-32x32.png"
    />
    <link
      rel="icon"
      type="image/png"
      sizes="16x16"
      href="../favicons/favicon-16x16.png" 
      />
    -->
    <!-- <link
      rel="mask-icon"
      href="../favicons/safari-pinned-tab.svg"
      color="#5bbad5"
      /> -->


    <!-- <link rel="manifest" href="../manifest.json" /> -->
    
    <meta name="theme-color" content="#528265" />

  </head>

  <body>
    <!-- <canvas id="whiteboard">
    </canvas> -->
    <!-- https://mui.com/components/material-icons/?query=dot -->
    <div class="tools-wrapper">
      <div
        class="tools-icon color-picker"
        title="Toggle Color: Ctrl + Left Click || Pen Size: Ctrl + Mouse wheel"
      >
        <span class="icon-container">
          <span id="currentColorCircle" class="selected"> </span>

          <div class="selector">
            <div>
              <div
                class="color"
                style="background-color: black"
                onclick="change_pen_color(PEN_COLOR.BLACK)"
              ></div>
            </div>
            <div>
              <div
                class="color"
                style="background-color: red"
                onclick="change_pen_color(PEN_COLOR.RED)"
              ></div>
            </div>
            <div>
              <div
                class="color"
                style="background-color: blue"
                onclick="change_pen_color(PEN_COLOR.BLUE)"
              ></div>
            </div>
            <div>
              <div
                class="color"
                style="background-color: #00ff00"
                onclick="change_pen_color(PEN_COLOR.GREEN)"
              ></div>
            </div>
          </div>
        </span>
      </div>

      <div
        class="tools-icon"
        id="eraserButton"
        title="Eraser || Change Size: Ctrl + Mouse wheel"
      >
        <span class="icon-container">
          <svg viewBox="0 0 576 512" style="transform: scale(0.9)">
            <path
              d="M290.7 57.4L57.4 290.7c-25 25-25 65.5 0 90.5l80 80c12 12 28.3 18.7 45.3 18.7H288h9.4H512c17.7 0 32-14.3 32-32s-14.3-32-32-32H387.9L518.6 285.3c25-25 25-65.5 0-90.5L381.3 57.4c-25-25-65.5-25-90.5 0zM297.4 416H288l-105.4 0-80-80L227.3 211.3 364.7 348.7 297.4 416z"
            />
          </svg>
        </span>
      </div>

      <div class="tools-icon" title="New Whiteboard">
        <a href="/" target="_blank">
          <span class="icon-container">
            <svg viewBox="0 0 24 24">
              <path
                d="M12 2C6.48 2 2 6.48 2 12s4.48 10 10 10s10-4.48 10-10S17.52 2 12 2zm5 11h-4v4h-2v-4H7v-2h4V7h2v4h4v2z"
              />
            </svg>
          </span>
        </a>
      </div>

      <!-- <div class="tools-icon">
			<span class="icon-container">
				<svg viewBox="0 0 24 24" data-testid="CreateIcon">
					<path d="M3 17.25V21h3.75L17.81 9.94l-3.75-3.75L3 17.25zM20.71 7.04c.39-.39.39-1.02 0-1.41l-2.34-2.34a.9959.9959 0 0 0-1.41 0l-1.83 1.83 3.75 3.75 1.83-1.83z"></path>
				</svg>
			</span>
		</div> -->

      <div
        class="tools-icon"
        title="Undo: Ctrl + Z"
        onclick="whiteboard.undo_stroke()"
      >
        <span class="icon-container">
          <svg viewBox="0 0 24 24">
            <path
              d="M12.5 8c-2.65 0-5.05.99-6.9 2.6L2 7v9h9l-3.62-3.62c1.39-1.16 3.16-1.88 5.12-1.88c3.54 0 6.55 2.31 7.6 5.5l2.37-.78C21.08 11.03 17.15 8 12.5 8z"
            />
          </svg>
        </span>
      </div>
      <div
        class="tools-icon"
        title="Redo: Ctrl + Y"
        onclick="whiteboard.redo_stroke()"
      >
        <span class="icon-container">
          <svg viewBox="0 0 24 24">
            <path
              d="M18.4 10.6C16.55 8.99 14.15 8 11.5 8c-4.65 0-8.58 3.03-9.96 7.22L3.9 16c1.05-3.19 4.05-5.5 7.6-5.5 1.95 0 3.73.72 5.12 1.88L13 16h9V7l-3.6 3.6z"
            ></path>
          </svg>
        </span>
      </div>

      <!-- <div class="tools-icon">
			<span class="icon-container">
				<svg viewBox="0 0 24 24" data-testid="SaveIcon">
					<path d="M17 3H5c-1.11 0-2 .9-2 2v14c0 1.1.89 2 2 2h14c1.1 0 2-.9 2-2V7l-4-4zm-5 16c-1.66 0-3-1.34-3-3s1.34-3 3-3 3 1.34 3 3-1.34 3-3 3zm3-10H5V5h10v4z"></path>
				</svg>
			</span>
		</div> -->

      <div
        class="tools-icon"
        id="downloadWhiteboardButton"
        title="Download Whiteboard as PNG image"
      >
        <span class="icon-container">
          <svg viewBox="0 0 24 24">
            <path d="M5 20h14v-2H5v2zM19 9h-4V3H9v6H5l7 7 7-7z"></path>
          </svg>
        </span>
      </div>

      <!-- <div class="tools-icon">
			<span class="icon-container">
				<svg viewBox="0 0 24 24">
					<path d="M12 2C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2zm1 17h-2v-2h2v2zm2.07-7.75-.9.92C13.45 12.9 13 13.5 13 15h-2v-.5c0-1.1.45-2.1 1.17-2.83l1.24-1.26c.37-.36.59-.86.59-1.41 0-1.1-.9-2-2-2s-2 .9-2 2H8c0-2.21 1.79-4 4-4s4 1.79 4 4c0 .88-.36 1.68-.93 2.25z"></path>
				</svg>
			</span>
		</div> -->

      <div
        class="tools-icon"
        id="clearWhiteboardButton"
        title="Clear Whiteboard: Ctrl + Space"
      >
        <span class="icon-container">
          <svg viewBox="0 0 24 24">
            <path
              d="M6 19c0 1.1.9 2 2 2h8c1.1 0 2-.9 2-2V7H6v12zM19 4h-3.5l-1-1h-5l-1 1H5v2h14V4z"
            ></path>
          </svg>
        </span>
      </div>
    </div>

    <div id="eraserCircle"></div>

  </body>
</html>